import request from "@/utils/request.js";



// 查询地址簿管理列表
export function listBook(query) {
  return request.get('system/front/book/list',query)
}

// 查询地址簿管理详细
export function getBook(addressId) {
  return request.get('system/front/book/' + addressId)
}

// 新增地址簿管理
export function addBook(data) {
  return request.post('system/front/book',data)
}

// 修改地址簿管理
export function updateBook(data) {
  return request.put('system/front/book',data)
}

// 删除地址簿管理
export function delBook(addressId) {
  return request.delete('system/front/book/' + addressId)
}

/**
 * 获取默认地址
 */
export function getDefaultAddress() {
  return request.get('system/book/getDefaultAddress')
}


/**
 * 获取最近使用地址
 */
export function getLastAddress() {
  return request.get('system/front/book/getRecentAddresses')
}

/**
 * 获取地址信息你
 */
export function getAddressInfo(data) {
  return request.post('system/kd100/wxmini/queryIcrExpres',data)
}
